# FAQ

Below you’ll find answers to the most frequently asked questions related to setup, usage, and integration. We recommend checking this section before opening a support ticket.

***

<details>

<summary>What is a locator?</summary>

The locator in our tuning is mainly aimed at users who also have vms\_garagesV2.

With this, when your vehicle has been abandoned, you as the owner of the vehicle can go to Impound and locate your vehicle if it has one installed, otherwise this will not be possible.

Nevertheless, we have provided exports in section Usable Informations that will enable you or your developer to use this in your scripts.

</details>

<details>

<summary>Can I use an external society system? If yes, what should I do?</summary>

Yes, configure these settings:

```lua
Config.UseBuildInCompanyBalance = false
Config.RemoveBalanceFromMenu = true
```

Check `config.server.lua` under `SV.getSocietyMoney` for supported scripts. For unsupported scripts, manually update `SV.getSocietyMoney`, `SV.addSocietyMoney`, and `SV.removeSocietyMoney`.

</details>

<details>

<summary>Can I make the tuning shop open for everyone or restrict it to a job?</summary>

Yes, adjust `Config.TuningPoints` in `config.lua`.

{% hint style="info" %}

* **For public access**, comment out the job restrictions.
* **For job-restricted access**, uncomment the relevant section.
  {% endhint %}

```lua
-- jobGradesToSet = {
--     {grade = 'recruit', label = 'Recruit'},
--     {grade = 'employee', label = 'Employee'},
--     {grade = 'manager', label = 'Manager', needToBeManager = true},
--     {grade = 'boss', label = 'Boss', needToBeBoss = true},
-- },

-- client_can_select_tuning = false,

-- send_bill_to_player = false,

-- job = 'mechanic', -- not required if you want to use this public.
-- grades_access = {'tuning'},
-- manager_grades = 'manager', -- string: 'name', table: {'name', 'name2'}
-- boss_grades = 'boss', -- string: 'name', table: {'name', 'name2'}
-- cityhall_grades = { -- Grades for sections from vms_cityhall
--     ['resumes'] = {'manager', 'boss'}, -- string: 'name', table: {'name', 'name2'}
--     ['taxes'] = {'manager', 'boss'}, -- string: 'name', table: {'name', 'name2'}
-- },
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_tuning/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
